nn.pp.rccore

## Enum IKvmPort.KvmPermission

- java.lang.Object
- - java.lang.Enum<IKvmPort.KvmPermission>
  - - nn.pp.rccore.IKvmPort.KvmPermission

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IKvmPort.KvmPermission>
  Enclosing interface:
    IKvmPort

      public static enum IKvmPort.KvmPermission
      extends java.lang.Enum<IKvmPort.KvmPermission>

  The permissions for performing KVM operations with the port

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTROL` Full control of the port is allowed
    `DENY` Access to the port is denied
    `VIEW` Viewing the port is allowed, but no control with keyboard or mouse

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IKvmPort.KvmPermission` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IKvmPort.KvmPermission[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DENY

          public static final IKvmPort.KvmPermission DENY

      Access to the port is denied

    - #### VIEW

          public static final IKvmPort.KvmPermission VIEW

      Viewing the port is allowed, but no control with keyboard or mouse

    - #### CONTROL

          public static final IKvmPort.KvmPermission CONTROL

      Full control of the port is allowed

  - ### Method Detail

    - #### values

          public static IKvmPort.KvmPermission[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IKvmPort.KvmPermission c : IKvmPort.KvmPermission.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IKvmPort.KvmPermission valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2025 Raritan Inc. All Rights Reserved.